{
  "compilerOptions": {
    "outDir": "./",
    "target": "es2020",
    "module": "es2020",
    "allowJs": true,
    "jsx": "preserve",
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "allowSyntheticDefaultImports": true,
    "baseUrl": ".",
    "paths": {
      "~/*": ["src/*"]
    },
    "types": [
      "vite/client",
      "vite-plugin-pages/client",
      "element-plus/global",
      "pinia-plugin-persist"
    ],
  },
  "include": [
    "src/**/*",
    "src/**/*.vue",
    "types/**/*.d.ts",
  ],
  "exclude": [
    "node_modules",
    "dist",
    "**/**.js",
    "**/**.jsx",
  ]
}